> ## Documentation Index
> Fetch the complete documentation index at: https://developer.hellgate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Subscribes a service to receive events



## OpenAPI

````yaml /products/commerce/v1/openapi.yaml post /events/subscribe
openapi: 3.1.0
info:
  license:
    name: Hellgate® API License
    url: https://starfish.team
  title: Commerce
  version: '0.1'
servers:
  - url: https://commerce1.on-hellgate.dev
    variables: {}
security:
  - mtls: []
  - api_key: []
tags: []
paths:
  /events/subscribe:
    post:
      tags:
        - events
      summary: Subscribes a service to receive events
      operationId: CommerceWeb.Eventing.EventController.subscribe
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubscriptionRequest'
        description: Body
        required: false
      responses:
        '202':
          description: No content
        '400':
          description: No content
      callbacks: {}
      security:
        - mtls: []
components:
  schemas:
    SubscriptionRequest:
      properties:
        hmac:
          type: string
          x-struct: null
          x-validate: null
        url:
          type: string
          x-struct: null
          x-validate: null
      required:
        - hmac
        - url
      title: SubscriptionRequest
      type: object
      x-struct: Elixir.CommerceWeb.Schemas.EventsSchema.SubscriptionRequest
      x-validate: null
  securitySchemes:
    mtls:
      description: >-
        Client certificate authentication via mTLS. Account-scoped routes
        additionally require the X-Account-ID header to identify the account.
      type: mutualTLS
    api_key:
      in: header
      name: X-API-Key
      type: apiKey

````